#
# spec file for package perl-Devel-Cycle (Version 1.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Devel-Cycle
%define cpan_name Devel-Cycle
Summary:        Find memory cycles in objects
Version:        1.11
Release:        18.2
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-Cycle/
Source:         http://search.cpan.org/CPAN/authors/id/L/LD/LDS/Devel-Cycle-1.11.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=56681
Patch0:         %{cpan_name}-pm.patch
Patch1:         %{cpan_name}-t.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Scalar::Util)
Requires:       perl(Scalar::Util)

%description
This is a simple developer's tool for finding circular references in
objects and other types of references. Because of Perl's reference-count
based memory management, circular references will cause memory leaks.

Authors:
--------
    Lincoln Stein, <lstein@cshl.edu>

%prep
%setup -q -n %{cpan_name}-%{version}
# https://rt.cpan.org/Public/Bug/Display.html?id=56681
%if 0%{?suse_version} >= 1130
%patch0
%patch1
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 19 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- add pm, t patch (rt.cpan.org#56681)
  https://rt.cpan.org/Public/Bug/Display.html?id=56681
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Tue Nov 24 2009 rschweikert@novell.com
- Initial build, version 1.11
